Summary:    The GNU shar utilities for packaging and unpackaging shell archives
Name:       sharutils
Version:    4.15.2
Release:    6%{?dist}
License:    GPLv3+ and (GPLv3+ and BSD) and (LGPLv3+ or BSD) and LGPLv2+ and Public Domain and GFDL
URL:        http://www.gnu.org/software/%{name}/
Source0:    ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz

Patch3000:     %{name}-4.14.2-Pass-compilation-with-Werror-format-security.patch
Patch3001:     %{name}-4.15.2-Fix-a-heap-buffer-overflow-in-find_archive.patch
Patch3002:     %{name}-4.15.2-fflush-adjust-to-glibc-2.28-libio.h-removal.patch
Patch3003:     %{name}-4.15.2-Fix-building-with-GCC-10.patch
Patch3004:     %{name}-4.15.2-Do-not-include-lib-md5.c-into-src-shar.c.patch


BuildRequires:      gcc make
BuildRequires:      binutils coreutils gettext texinfo 
BuildRequires:      glibc-common sed diffutils
Provides:           bundled(gnulib)
Provides:           bundled(libopts) = 41.1

%description
The sharutils package contains the GNU shar utilities, a set of tools for
encoding and decoding packages of files (in binary or text format) in
a special plain text format called shell archives (shar).  This format can be
sent through e-mail (which can be problematic for regular binary files).  The
shar utility supports a wide range of capabilities (compressing, uuencoding,
splitting long files for multi-part mailings, providing check-sums), which
make it very flexible at creating shar files.  After the files have been sent,
the unshar tool scans mail messages looking for shar files.  Unshar
automatically strips off mail headers and introductory text and then unpacks
the shar files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
chmod 644 AUTHORS ChangeLog COPYING NEWS README THANKS TODO

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_infodir}/*info*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.15.2-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.15.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.15.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.15.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 cunshunxia <cunshunxia@tencent.com> - 4.15.2-2
- change source to source0

* Mon Feb 13 2023 cunshunxia <cunshunxia@tencent.com> - 4.15.2-1
- initial build
